Heads Up, Help and FAQs, Latest News|June 4, 2013 2:22 PM

You May Need to Upgrade Flash! Here’s a Flash Player Check

In the coming weeks, Pogo will be relaunching a popular Pogo/Hasbro title in Flash. The latest version of Flash will be required to run this game. Thankfully, the latest version of Flash also automatically updates all its future versions, so you won’t have to.

Pogo would like to help ensure you have the best possible experience when playing our Flash games by asking you to check which version of Flash you have and updating to the latest version if needed. Some browsers automatically install and update Flash, so most of you will not have to do anything.

Below is some information about your system. If the Flash Version is less than 11.7 then you will want to download and install the latest version. You can do this by going to Adobe’s download page and following the instructions.

Get Latest Adobe Flash Player

  • Share this post:
  • Facebook
  • Twitter

Comments are closed